Bug 612787 - [abrt] crash in xemacs-21.5.29-11.fc12: kill: Process /usr/bin/xemacs-21.5-b29 was killed by signal 11 (SIGSEGV)
[abrt] crash in xemacs-21.5.29-11.fc12: kill: Process /usr/bin/xemacs-21.5-b2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
abrt_hash:280ed2872553b9920df13b8b140...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 22:07 EDT by Niels Mayer
Modified: 2010-12-03 08:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:24:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.93 KB, text/plain)
2010-07-08 22:08 EDT, Niels Mayer
no flags Details

  None (edit)
Description Niels Mayer 2010-07-08 22:07:58 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/xemacs
comment: It seems there is a memory error in emacs (IMHO) that gets triggered either through saving files, or running dired, or a combination of both. Evantually it results in the "directory alist is mangled warning" and xemacs stops performing correctly. Files save, but then get mangled and need to be "undone" ... however, sometimes when this mangling happens, the file doesn't save, and the file on the filesystem disappears. If you don't realize what's happening and explicitly save your buffer before killing emacs, you may lose the file. Which is why this should be considered a severe bug.
component: xemacs
crash_function: kill
executable: /usr/bin/xemacs-21.5-b29
global_uuid: 280ed2872553b9920df13b8b1407bf86f19d382c
kernel: 2.6.32.14-127.fc12.x86_64
package: xemacs-21.5.29-11.fc12
rating: 4
reason: Process /usr/bin/xemacs-21.5-b29 was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Run emacs and run a few dired sessions
2. Edit and save a few files. eventually you get a "directory alist is mangled" warning.
3. Exit emacs and get the coredump attached with this bugreport (again suggesting a memory error).
Comment 1 Niels Mayer 2010-07-08 22:08:00 EDT
Created attachment 430523 [details]
File: backtrace
Comment 2 Jerry James 2010-08-04 14:52:27 EDT
Thanks for the report, Niels.  I need to get upstream involved as I'm not making any headway on tracking this down myself.  I apologize for the delay.
Comment 3 Niels Mayer 2010-08-04 16:35:55 EDT
I switched to emacs-23.1-22.fc12.x86_64 and bid my fond adieu and happy memories to xemacs ... it appears some progress has been made w/ Xemacs of late in Fedora, however emacs-23 is doing a better job integrating w/ gnome/kde and scalable fonts, and appears to have adopted many of xemacs' original advantages over the years.
Comment 4 Bug Zapper 2010-11-03 08:15:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:24:20 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.